# Generated by rust2rpm
%bcond_without check
%global debug_package %{nil}

%global crate libz-sys

Name:           rust-%{crate}
Version:        1.0.18
Release:        4%{?dist}
Summary:        Bindings to the system libz library (also known as zlib)

License:        MIT or ASL 2.0
URL:            https://crates.io/crates/libz-sys
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No MSVC
Patch0:         libz-sys-1.0.18-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
# [dependencies]
BuildRequires:  (crate(libc) >= 0.2.0 with crate(libc) < 0.3.0)
# [build-dependencies]
BuildRequires:  (crate(cc) >= 1.0.0 with crate(cc) < 2.0.0)
BuildRequires:  (crate(pkg-config) >= 0.3.0 with crate(pkg-config) < 0.4.0)
BuildRequires:  pkgconfig(zlib)

%description
%{summary}.

%package        devel
Summary:        %{summary}
Requires:       pkgconfig(zlib)
BuildArch:      noarch

%description    devel
Bindings to the system libz library (also known as zlib).

This package contains library source intended for building other packages
which use %{crate} from crates.io.

%prep
%autosetup -n %{crate}-%{version} -p1
# No bundled libs
rm -vrf src/zlib-*/
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/appveyor.yml

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-3
- Rebuild for rust-packaging v5

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-2
- Remove bundled zlib

* Thu Nov 16 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.18-1
- Update to 1.0.18

* Mon Jun 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.16-1
- Update to 1.0.16

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.14-1
- Update to 1.0.14

* Wed Jun 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-3
- Port to use rust-packaging

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-2
- Rebuild

* Sun Feb 26 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.13-1
- Initial package
